---
title: llarp::rpc::DNSQuery::request_parameters

---

# llarp::rpc::DNSQuery::request_parameters





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[endpoint](Classes/structllarp_1_1rpc_1_1DNSQuery_1_1request__parameters.md#variable-endpoint)**  |
| uint16_t | **[qtype](Classes/structllarp_1_1rpc_1_1DNSQuery_1_1request__parameters.md#variable-qtype)**  |
| std::string | **[qname](Classes/structllarp_1_1rpc_1_1DNSQuery_1_1request__parameters.md#variable-qname)**  |

## Public Attributes Documentation

### variable endpoint

```cpp
std::string endpoint;
```


### variable qtype

```cpp
uint16_t qtype;
```


### variable qname

```cpp
std::string qname;
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000